Redmine - Defect #7875

CSV export separators in polish locale (pl.yml)
2011-03-15 16:21 - Zbigniew Nowacki

Status: Closed Start date: 2011-03-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: 118n Estimated time: 0.00 hour
Target version: 1.1.3

Resolution: Fixed Affected version:

Description

| have a problem with csv files from Redmine, because the general_csv_separator is set to ",". This character is used very often in an
Issue description. It would be generally much better to use ";".

The second problem is the general_csv_decimal_separator which is set to ".". In polish version it should be rather "," (like number
separator).

In consequence of this 2 mistakes - import csv file to Excel is rather difficult.

| saw a very similar problem in #7274 (nl.yml).

Related issues:
Related to Redmine - Defect #7274: CSV value separator in dutch locale Closed 2010-12-03
Related to Redmine - Defect #8067: CSV exporting in Italian locale Closed 2011-04-05

Associated revisions

Revision 5181 - 2011-03-20 22:24 - Jean-Philippe Lang

Changes polish csv separator to ; and decimal to , (#7875).

History

#1 - 2011-03-15 18:53 - Etienne Massip
- Category set to 118n

- Target version set to Candidate for next minor release

#2 - 2011-03-20 22:24 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version changed from Candidate for next minor release to 1.1.3

- Resolution set to Fixed

Fix committed in r5181.

#3 - 2011-04-29 09:09 - Jean-Philippe Lang

- Status changed from Resolved to Closed
